Resolved merge conflict

This commit is contained in:
thetechprepper
2026-05-07 04:03:29 -07:00
3 changed files with 17 additions and 3 deletions
+2 -2
View File
@@ -1,7 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 April 2023
# Updated : 24 October 2024
# Updated : 29 May 2026
# Purpose : Install JS8Call
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
@@ -11,7 +11,7 @@ trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
VERSION="2.2.0"
FILE="js8call_${VERSION}_20.04_amd64.deb"
URL="http://files.js8call.com/${VERSION}/${FILE}"
URL="https://github.com/thetechprepper/emcomm-tools-os-community/releases/download/emcomm-tools-os-community-20260401-r6-final-6.0.0/js8call_2.2.0_20.04_amd64.deb"
et-log "Installing JS8Call dependencies..."
apt install \
+4 -1
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 16 April 2026
# Updated : 2 May 2026
# Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh
@@ -115,3 +115,6 @@ exitIfNotRoot
# Install simple WWV util
./install-et-wwv.sh
# Security Patches
./patch-copy-fail.sh
+11
View File
@@ -0,0 +1,11 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 2 May 2026
# Purpose : Patch "Copy Fail" vulnerability (CVE-2026-31431).
#
# See https://copy.fail
et-log "Security: Patching Copy Fail vulnerability..."
echo "install algif_aead /bin/false" > /etc/modprobe.d/disable-algif.conf
rmmod algif_aead